Prolifto
API reference

Invoices

Issued invoices and PDFs

Get Many

GET
/{organizationSlug}/invoices

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

customerId?|
dateFrom?|
dateTo?|
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
search?|
status?|

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/invoices"
{}

Get One

GET
/{organizationSlug}/invoices/{invoiceNumber}

Path Parameters

organizationSlug*string
Length1 <= length
invoiceNumber*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/invoices/string"
{}

View

POST
/invoices/view

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/invoices/view" \  -H "Content-Type: application/json" \  -d '{    "invoiceId": "string"  }'
{}

Void

POST
/invoices/void

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/invoices/void" \  -H "Content-Type: application/json" \  -d '{    "invoiceId": "string"  }'
{}

Void Many

POST
/invoices/voidMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/invoices/voidMany" \  -H "Content-Type: application/json" \  -d '{    "invoiceIds": [      "string"    ]  }'
{}